#!/bin/sh

# call this with a single 'ranges' parameter for unicodedata
# e.g. dmenu_charinput.sh '13000..1342F 1F600..1F64F'

set -eu

unicodedata -ranges "$1" |
 dmenu -i -l 10 |
 awk '{print $1}' |
 tr -d "\n" |
 xclip -selection clipboard
